[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TEditStyle

Indicates the editor style for items in TValueListEditor.

## Declaration

Source position: valedit.pas line 17

`type TEditStyle = (`
`esSimple,` |  | Displays an editor without decoration for the cell.
`esEllipsis,` |  | Displays an ellipsis button next to the cell editor.
`esPickList` |  | Displays a pick list for the cell editor.
`);`

## Description

TEditStyle is an enumeration type with values that indicate the editor style used for an item in TValueListEditor. TEditStyle is the type used for the TItemProp.EditStyle property.

## See also

TItemProp.EditStyle |  | Identifies the type of editor used for the item value.